Index: src/main.cc
===================================================================
--- src/main.cc	(Revision 2103)
+++ src/main.cc	(Arbeitskopie)
@@ -136,6 +136,7 @@
     String ip;
     String prefix;
     String magic;
+    char* logfile;
     bool debug_logging = false;
     bool print_version = false;
 
@@ -223,7 +224,8 @@
                 
             case 'l':
                 log_debug("Log file: %s\n", optarg);
-                log_open(optarg);
+                logfile = optarg;
+                log_open(logfile);
                 break;
 
             case 'm':
@@ -650,6 +652,11 @@
                 singletonManager = nil;
                 singletonManager = SingletonManager::getInstance();
                 
+                // reopen the logfile in case it has been moved by
+                // e.g. logrotate
+                log_close();
+                log_open(logfile);
+                
                 try
                 {
                     ConfigManager::setStaticArgs(config_file, home, confdir, 
